Subject: Re: [BUG] diffcore-rename with duplicate tree entries can segfault

From: Junio C Hamano <[email-masked]>
Date: Tue, 24 Feb 2015 15:11:00 -0800

Jeff King <[email-masked]> writes:

> I'm assuming there _is_ a sane sort order. We have two halves of a
> filepair, but I think before any of the rename or break detection kicks
> in, each pair should either:
>
>   1. Have a name in pair->one, and an invalid filespec in pair->two
>      (i.e., a deletion).
>
>   2. The opposite (name in pair->two, /dev/null in pair->one). An
>      addition.
>
>   3. The same name in pair->one and pair->two.

I think creation and deletion are expressed with mode=0 and not with
/dev/null.